Package twisted :: Package spread :: Module pb :: Class CopiedFailure

[show private | hide private]
[frames | no frames]

## Class CopiedFailure

    Unjellyable --+
                  |
         RemoteCopy --+
                      |
            Failure --+
                      |
                     CopiedFailure

Method Summary
| ``__init__`(self, exc_value, exc_type, exc_tb)` Initialize me with an explanation of the error. (inherited from `Failure`)
| ``__getstate__`(self)` Avoid pickling objects in the traceback. (inherited from `Failure`)
| `__repr__(self)` (inherited from `Failure`)
| `__str__(self)` (inherited from `Failure`)
| `check(self, *errorTypes)` (inherited from `Failure`)
| ``cleanFailure`(self)` Remove references to other objects, replacing them with strings. (inherited from `Failure`)
| `getBriefTraceback(self)` (inherited from `Failure`)
| `getErrorMessage(self)` (inherited from `Failure`)
| `getTraceback(self)` (inherited from `Failure`)
| ``printBriefTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``printBriefTraceback`(self, file)` Print a traceback as densely as possible. (inherited from `Failure`)
| ``printDetailedTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``printDetailedTraceback`(self, file)` Print a traceback with detailed locals and globals information. (inherited from `Failure`)
| ``printTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally. (inherited from `RemoteCopy`)
| `setStateFor(self, unjellier, state)` (inherited from `Unjellyable`)
| ``trap`(self, *errorTypes)` Trap this failure if its type is in a predetermined list. (inherited from `Failure`)
| `unjellyFor(self, unjellier, jellyList)` (inherited from `RemoteCopy`)

Method Details

### printBriefTraceback(self, file=None)

Emulate Python's standard error reporting mechanism.

  Overrides:
    `twisted.python.failure.Failure.printTraceback` (inherited documentation)

### printDetailedTraceback(self, file=None)

Emulate Python's standard error reporting mechanism.

  Overrides:
    `twisted.python.failure.Failure.printTraceback` (inherited documentation)

### printTraceback(self, file=None)

Emulate Python's standard error reporting mechanism.

  Overrides:
    `twisted.python.failure.Failure.printTraceback` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:19:02 2003 | http://epydoc.sf.net